FLCREC-API FLUC Record Interface

Macros
Output format

Constants for setting the output format for some functions. More...

## Macros
#define | FLMOUT_FORMAT_NON 0
| Default format (FLMOUT_FORMAT_LST) More...
#define | FLMOUT_FORMAT_LST 1
| Simple list of lines with each line separated by '\n' and the whole string terminated by 0x00. More...
#define | FLMOUT_FORMAT_XML 2
| As XML-formatted, null-terminated string (in local charset) with each line separated by '\n'. More...

## Detailed Description

Constants for setting the output format for some functions.

Pass one of the constants below to all functions requiring output format (e.g. fcbclose2()), for formatting of the output in different ways. This is mainly required for statistics and other lists.

## Macro Definition Documentation

## ◆ FLMOUT_FORMAT_NON

#define FLMOUT_FORMAT_NON 0

Default format (FLMOUT_FORMAT_LST)

## ◆ FLMOUT_FORMAT_LST

#define FLMOUT_FORMAT_LST 1

Simple list of lines with each line separated by '\n' and the whole string terminated by 0x00.

## ◆ FLMOUT_FORMAT_XML

#define FLMOUT_FORMAT_XML 2

As XML-formatted, null-terminated string (in local charset) with each line separated by '\n'.